<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Fuel ServiceType
 * @subpackage Services
 */
class Fuel extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named FuelConsumptionReport
     * Meta information extracted from the WSDL
     * - documentation: Ortalama yakit tuketimini listeler. Ortalama yakit tuketimi, aracin verilen zaman araligindaki, 100 km’de harcadigi yakitin litre olarak miktaridir. Bu metot ile araclarin ortalama yakit tuketimleri ve mesafe bilgileri detayli
     * olarak gosterilir. - Lists the average fuel consumption data. Average fuel consumption is the ammount of fuel in liters, consumedin per 100 km. This metod displays detailed average fuel consumption and distance data for vehicles. | Ortalama yakit
     * tuketimini listeler. Ortalama yakit tuketimi, aracin verilen zaman araligindaki, 100 km’de harcadigi yakitin litre olarak miktaridir. Bu metot ile araclarin ortalama yakit tuketimleri ve mesafe bilgileri detayli olarak gosterilir. - Lists the
     * average fuel consumption data. Average fuel consumption is the ammount of fuel in liters, consumedin per 100 km. This metod displays detailed average fuel consumption and distance data for vehicles. | Ortalama yakit tuketimini listeler. Ortalama
     * yakit tuketimi, aracin verilen zaman araligindaki, 100 km’de harcadigi yakitin litre olarak miktaridir. Bu metot ile araclarin ortalama yakit tuketimleri ve mesafe bilgileri detayli olarak gosterilir. - Lists the average fuel consumption data.
     * Average fuel consumption is the ammount of fuel in liters, consumedin per 100 km. This metod displays detailed average fuel consumption and distance data for vehicles.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\FuelConsumptionReport $parameters
     * @return \StructType\FuelConsumptionReportResponse|bool
     */
    public function FuelConsumptionReport(\StructType\FuelConsumptionReport $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->FuelConsumptionReport($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named FuelConsumptionReportReturnObject
     * Meta information extracted from the WSDL
     * - documentation: Ortalama yakit tuketimini listeler. Ortalama yakit tuketimi, aracin verilen zaman araligindaki, 100 km’de harcadigi yakitin litre olarak miktaridir. Bu metot ile araclarin ortalama yakit tuketimleri ve mesafe bilgileri detayli
     * olarak gosterilir. FuelConsumptionReport methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Lists the average fuel consumption data. Average fuel consumption is the ammount of fuel in liters, consumedin per 100 km. This metod displays
     * detailed average fuel consumption and distance data for vehicles, returns the result as XmlDocument type. | Ortalama yakit tuketimini listeler. Ortalama yakit tuketimi, aracin verilen zaman araligindaki, 100 km’de harcadigi yakitin litre olarak
     * miktaridir. Bu metot ile araclarin ortalama yakit tuketimleri ve mesafe bilgileri detayli olarak gosterilir. FuelConsumptionReport methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Lists the average fuel consumption data. Average fuel
     * consumption is the ammount of fuel in liters, consumedin per 100 km. This metod displays detailed average fuel consumption and distance data for vehicles, returns the result as XmlDocument type. | Ortalama yakit tuketimini listeler. Ortalama yakit
     * tuketimi, aracin verilen zaman araligindaki, 100 km’de harcadigi yakitin litre olarak miktaridir. Bu metot ile araclarin ortalama yakit tuketimleri ve mesafe bilgileri detayli olarak gosterilir. FuelConsumptionReport methodundan farkli olarak
     * sonucu XmlDocument tipinde dondurur. - Lists the average fuel consumption data. Average fuel consumption is the ammount of fuel in liters, consumedin per 100 km. This metod displays detailed average fuel consumption and distance data for vehicles,
     * returns the result as XmlDocument type.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\FuelConsumptionReportReturnObject $parameters
     * @return \StructType\FuelConsumptionReportReturnObjectResponse|bool
     */
    public function FuelConsumptionReportReturnObject(\StructType\FuelConsumptionReportReturnObject $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->FuelConsumptionReportReturnObject($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\FuelConsumptionReportResponse|\StructType\FuelConsumptionReportReturnObjectResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
